#
# Copyright (c) 2021 Nextworks s.r.l.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
#  * You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

spring.datasource.url=jdbc:postgresql://localhost:5432/sebastian
spring.datasource.username=postgres
spring.datasource.password=postgres
#nssmf.eventhandler.class=TestEventHandler
nssmf.eventhandler.class=it.nextworks.nfvmano.nssmf.service.specialized.core.UPFMock
nssmf.provisionig.baseurl=/nssmf/test/provisioning
#nssmf.provisioning.message.class=TestInstantiationPayload
nssmf.provisioning.message.class=it.nextworks.nfvmano.libs.vs.common.nssmf.messages.specialized.core.UpfProvisioningPayload
nssmf.nsmfnotifier.auth.user=admin
nssmf.nsmfnotifier.auth.pwd=admin
nssmf.nsmfnotifier.url=http://127.0.0.1:8082
##BINDING TOMCAT ON MANAGEMENT IP ADDRESS
##server.address=
server.port=8082

spring.jpa.hibernate.ddl-auto=create-drop
#spring.jpa.hibernate.ddl-auto = update
## Available: BCRYPT - NOOP
#security.passwordEncoder=BCRYPT
#sebastian.localTmpDir=/tmp
#sebastian.admin=admin
#nfvo.catalogue.type=TIMEO
##nfvo.catalogue.type=OSM
##nfvo.catalogue.type=DUMMY
##nfvo.catalogue.type=LOGGING
#nfvo.lcm.type=TIMEO
##nfvo.lcm.type=OSM
##nfvo.lcm.type=DUMMY
##nfvo.lcm.type=LOGGING
##not used here
#nfvo.lcm.notification.url=
#nfvo.lcm.polling=60
#nsmf.lcm.polling=60
#nfvo.catalogue.address=10.0.8.46
#nfvo.lcm.address=10.0.8.46
#vsmf.notifications.url=http://localhost:8082
#nfvogui.type=TIMEO
##nfvogui.type=NONE
#nfvogui.address=localhost
#nfvogui.port=80
#translator.type=BASIC
#arbitrator.type=BASIC
#vertical.network.communication=LOCAL
##polling period for TIMEO NFVO operations in seconds
#sebastian.nfvo.timeo.polling=20
#nfvo.catalogue.username=test
#nfvo.catalogue.password=test
#nfvo.catalogue.project=test
#catalogue.admin=admin
#authentication.enable=yes
#dummy.multidomain.enabled=true